Bug 15222 - Open With doesn't work when file is open in another editor
Summary: Open With doesn't work when file is open in another editor
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Project Management (show other bugs)
Version: Trunk
Hardware: PC Mac OS
: Normal normal
Target Milestone: (C8SR1)
Assignee: Vsevolod Kukol
URL:
Depends on:
Blocks:
 
Reported: 2013-10-04 20:13 UTC by Mikayla Hutchinson [MSFT]
Modified: 2016-07-13 14:23 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Mikayla Hutchinson [MSFT] 2013-10-04 20:13:23 UTC
The Open With options don't work when file is open in another editor. It simply focuses that editor. It should close the other editor (maybe after showing a warning dialog), or disable the Open With commands when the file is already open.
Comment 1 xamarin-release-manager 2016-07-11 11:30:56 UTC
Fixed in version 6.2.0.27 (master)

Author: Vsevolod Kukol
Commit: 1dc0ed993f9a6476544bfebe6be4162c8f6fad7c (mono/monodevelop)
Comment 2 Shruti 2016-07-13 14:18:22 UTC
I have checked it with latest master build of XamarinStudio-6.2.0.74_2b0cf79be1c546ec18129188aecde7e3bcd3821d and observed that this issue has been  fixed as shown in screencast : http://www.screencast.com/t/ySmhntkOfvgn

Hence closing this issue by marking it as Verified.

Thanks

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 15222 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: